Bug 98619 - Not reading proc as expected
Not reading proc as expected
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2003-07-05 10:19 EDT by Ted Kaczmarek
Modified: 2015-03-04 20:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-07 08:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Update to net-snmp-5.0.8/agent/mibgroup/ucd-snmp/proc.c (1.32 KB, text/plain)
2003-07-06 09:13 EDT, Ted Kaczmarek
no flags Details

  None (edit)
Description Ted Kaczmarek 2003-07-05 10:19:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701

Description of problem:
Tried to add the below to snmpd.conf 

proc named 1 1

It always returns 0 when doing an snmp poll of .
2 is the instance for named.
It should return a value of 1. I confirmed
that named is in fact running and all /proc/"pid #"
info is their.

The example for sendmail does seem to work fine.
Sendmail is using instance 1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Add proc named 1 1 to snmpd.conf as instance 2
2. restart snmpd
3. snmpget -c "string" -v2c localhost .

Actual Results:  UCD-SNMP-MIB::prCount.2 = INTEGER: 0

Expected Results:  UCD-SNMP-MIB::prCount.2 = INTEGER: 1

Additional info:

I will dig around, but this seems fairly cut and dry.
Comment 1 Ted Kaczmarek 2003-07-06 09:13:29 EDT
Created attachment 92765 [details]
Update to net-snmp-5.0.8/agent/mibgroup/ucd-snmp/proc.c

This resolves the issue I was having.
Comment 2 Phil Knirsch 2003-08-07 08:23:16 EDT
Fixed in net-snmp-5.0.8-7 and later by using a CVS version of proc.c.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.